
%global meadversion 1.3.0
%global namedversion 1.3.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package agroal}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.3.0.redhat-00001

Name:		    %{?scl_prefix}agroal
Summary:	    The natural database connection pool
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: agroal-parent-1.3.0.redhat-00001-scm-sources.zip
Source102: agroal-parent-1.3.0.redhat-00001.pom
Source103: agroal-parent-1.3.0.redhat-00001-project-sources.tar.gz
Source104: agroal-test-1.3.0.redhat-00001.jar
Source105: agroal-test-1.3.0.redhat-00001.pom
Source106: agroal-test-1.3.0.redhat-00001-sources.jar
Source107: agroal-api-1.3.0.redhat-00001.jar
Source108: agroal-api-1.3.0.redhat-00001-sources.jar
Source109: agroal-api-1.3.0.redhat-00001.pom
Source110: agroal-hikari-1.3.0.redhat-00001.jar
Source111: agroal-hikari-1.3.0.redhat-00001-sources.jar
Source112: agroal-hikari-1.3.0.redhat-00001.pom
Source113: agroal-narayana-1.3.0.redhat-00001-sources.jar
Source114: agroal-narayana-1.3.0.redhat-00001.jar
Source115: agroal-narayana-1.3.0.redhat-00001.pom
Source116: agroal-pool-1.3.0.redhat-00001.jar
Source117: agroal-pool-1.3.0.redhat-00001.pom
Source118: agroal-pool-1.3.0.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/agroal
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for agroal
Group:          Development/Java


%description javadoc
Javadoc for agroal
%endif

%package -n %{?scl_prefix}agroal-api
Summary:        Agroal API
Group:          Development/Java

%description -n %{?scl_prefix}agroal-api
%{summary}.

%package -n %{?scl_prefix}agroal-hikari
Summary:        Agroal Connection Pool wrapping HikariCP
Group:          Development/Java

%description -n %{?scl_prefix}agroal-hikari
%{summary}.

%package -n %{?scl_prefix}agroal-narayana
Summary:        Agroal Narayana Integration
Group:          Development/Java

%description -n %{?scl_prefix}agroal-narayana
%{summary}.

%package -n %{?scl_prefix}agroal-pool
Summary:        Agroal Connection Pool
Group:          Development/Java

%description -n %{?scl_prefix}agroal-pool
%{summary}.

%package -n %{?scl_prefix}agroal-test
Summary:        Agroal Test Suite
Group:          Development/Java

%description -n %{?scl_prefix}agroal-test
%{summary}.

%prep
%setup -q -n agroal -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/agroal-api-%{namedversion}.jar %{buildroot}%{_javadir}/agroal-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/agroal-hikari-%{namedversion}.jar %{buildroot}%{_javadir}/agroal-hikari-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/agroal-narayana-%{namedversion}.jar %{buildroot}%{_javadir}/agroal-narayana-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/agroal-pool-%{namedversion}.jar %{buildroot}%{_javadir}/agroal-pool-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/agroal-test-%{namedversion}.jar %{buildroot}%{_javadir}/agroal-test-%{namedversion}.jar


%{__cp} -p %{_sourcedir}/agroal-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/agroal-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/agroal-hikari-%{namedversion}-sources.jar %{buildroot}%{_javadir}/agroal-hikari-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/agroal-narayana-%{namedversion}-sources.jar %{buildroot}%{_javadir}/agroal-narayana-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/agroal-pool-%{namedversion}-sources.jar %{buildroot}%{_javadir}/agroal-pool-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/agroal-test-%{namedversion}-sources.jar %{buildroot}%{_javadir}/agroal-test-%{namedversion}-sources.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/agroal-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/agroal-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/agroal-hikari-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/agroal-hikari-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/agroal-narayana-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/agroal-narayana-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/agroal-pool-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/agroal-pool-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/agroal-test-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/agroal-test-%{namedversion}-javadoc.jar
%endif


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/agroal-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/agroal-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/agroal-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s agroal-%{namedversion} agroal)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md

%files -n %{?scl_prefix}agroal-api
%defattr(0644,root,root,0755)
%{_javadir}/agroal-api-%{namedversion}.jar
%{_javadir}/agroal-api.jar
%{_javadir}/agroal-api-%{namedversion}-sources.jar
%{_javadir}/agroal-api-sources.jar

%files -n %{?scl_prefix}agroal-hikari
%defattr(0644,root,root,0755)
%{_javadir}/agroal-hikari-%{namedversion}.jar
%{_javadir}/agroal-hikari.jar
%{_javadir}/agroal-hikari-%{namedversion}-sources.jar
%{_javadir}/agroal-hikari-sources.jar

%files -n %{?scl_prefix}agroal-narayana
%defattr(0644,root,root,0755)
%{_javadir}/agroal-narayana-%{namedversion}.jar
%{_javadir}/agroal-narayana.jar
%{_javadir}/agroal-narayana-%{namedversion}-sources.jar
%{_javadir}/agroal-narayana-sources.jar

%files -n %{?scl_prefix}agroal-pool
%defattr(0644,root,root,0755)
%{_javadir}/agroal-pool-%{namedversion}.jar
%{_javadir}/agroal-pool.jar
%{_javadir}/agroal-pool-%{namedversion}-sources.jar
%{_javadir}/agroal-pool-sources.jar

%files -n %{?scl_prefix}agroal-test
%defattr(0644,root,root,0755)
%{_javadir}/agroal-test-%{namedversion}.jar
%{_javadir}/agroal-test.jar
%{_javadir}/agroal-test-%{namedversion}-sources.jar
%{_javadir}/agroal-test-sources.jar


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/agroal
%{_javadocdir}/agroal-%{namedversion}
%endif


%changelog
* Tue Oct 23 2018 Petr Sakar <psakar@redhat.com> - 1.3.0-1.redhat_00001.1
- upgrade to 1.3.0.redhat-00001

* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
-  1.1.0.redhat-00001 

* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
-  1.1.0.redhat-00001 

* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
-  1.1.0.redhat-00001 


* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.1.0
- Init build
